## com.bbn.openmap
Class MultipleSoloMapComponentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bbn.openmap.MultipleSoloMapComponentException

All Implemented Interfaces:
  java.io.Serializable

public class MultipleSoloMapComponentException
extends java.lang.RuntimeException

An Exception indicating that an attempt was made to add a duplicate SoloMapComponent to BeanContext.

See Also:
  Serialized Form

Constructor Summary
`MultipleSoloMapComponentException()` Constuct an exception without a reason.
`MultipleSoloMapComponentException(java.lang.Class c1, java.lang.Class c2)` Construct an exception, generating a reason from the conflicting classes.
`MultipleSoloMapComponentException(java.lang.String s)` Constuct an exception with a reason string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultipleSoloMapComponentException

    public MultipleSoloMapComponentException()

  Constuct an exception without a reason.

### MultipleSoloMapComponentException

    public MultipleSoloMapComponentException(java.lang.String s)

  Constuct an exception with a reason string.

Parameters:
  `s` - the reason for the exception

### MultipleSoloMapComponentException

    public MultipleSoloMapComponentException(java.lang.Class c1,
                                             java.lang.Class c2)

  Construct an exception, generating a reason from the conflicting classes.

Parameters:
  `c1` - the class that was being added
  `c2` - the class that already exists in the BeanContext

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details